Batería no detectada - Yoga 300-11BR - Ubuntu LTS 14.04 -- 14.04 campo con lenovo campo con battery campo con lts camp askubuntu Relacionados El problema

Battery not detected - Yoga 300-11iBR - Ubuntu LTS 14.04


0
vote

problema

Español

Instalé Ubuntu 14.04 en un Lenovo Yoga 300 que viene con una batería incorporada. Todo funciona, pero el sistema no detecta la batería. Al ingresar ABCDEFGHIJKLMNABCDEFGHIJKLMN4 en la terminal se muestra:

  ABCDEFGHIJKLMNABCDEFGHIJKLMN5   

Detecta cuando desenchufé el adaptador.

Gracias por cualquier ayuda.

Original en ingles

I installed Ubuntu 14.04 on a Lenovo Yoga 300 which comes with a built in battery. Everything works, but the system does not detect the battery. When entering acpi -V in terminal it displays:

Adapter 0: on-line Cooling 0: soc_dts1 no state information available Cooling 1: soc_dts0 no state information available Cooling 2: B0DB no state information available Cooling 3: INT3400 Thermal no state information available Cooling 4: intel_powerclamp no state information available Cooling 5: Processor 0 of 10 Cooling 6: Processor 0 of 10 Cooling 7: Processor 0 of 10 Cooling 8: Processor 0 of 10 

It does detect when I unplug the adapter.

Thanks for any help.

           

Lista de respuestas

1
 
vote

Tengo el mismo problema en Xubuntu 16.10 (también probé Xubuntu 16.04 y confirme que también es un problema allí). Hay mensajes sospechosos de DMESG:

  [    2.575759] ACPI Exception: AE_AML_PACKAGE_LIMIT, Index (0x000000010) is beyond end of object (length 0xD) (20160422/exoparg2-427) [    2.575775] ACPI Error: Method parse/execution failed [_SB.PCI0.LPCB.H_EC.BAT1._BIX] (Node f6091408), AE_AML_PACKAGE_LIMIT (20160422/psparse-542) [    2.575794] ACPI Exception: AE_AML_PACKAGE_LIMIT, Evaluating _BIX (20160422/battery-450)   

Me he convertido en Googled esto y creo que una solución al conductor ACPI podría ser necesaria, por ejemplo,

http://www.spinics.net/lists/linux-acpi /msg69261.html

update He confirmado que si aplica un parche similar al que está en el enlace de arriba y cree un kernel personalizado, ¡la información de la batería está disponible! En mi caso, modificé el parche un poco para asegurarse de que se use el método "_BIF" y no el "_bix". Esperemos que este parche pueda eventualmente formar parte de un kernel oficial.

 

I have the same problem in Xubuntu 16.10 (I also tried Xubuntu 16.04 and confirm it is a problem there as well). There are suspicious messages from dmesg:

[    2.575759] ACPI Exception: AE_AML_PACKAGE_LIMIT, Index (0x000000010) is beyond end of object (length 0xD) (20160422/exoparg2-427) [    2.575775] ACPI Error: Method parse/execution failed [\_SB.PCI0.LPCB.H_EC.BAT1._BIX] (Node f6091408), AE_AML_PACKAGE_LIMIT (20160422/psparse-542) [    2.575794] ACPI Exception: AE_AML_PACKAGE_LIMIT, Evaluating _BIX (20160422/battery-450) 

I have googled this extensively and I think a fix to the acpi driver might be necessary, e.g.:

http://www.spinics.net/lists/linux-acpi/msg69261.html

UPDATE I have confirmed that if you apply a patch similar to the one in the link above and build a custom kernel, the battery information is available! In my case I modified the patch a little bit to make sure the "_BIF" method is used and not the "_BIX" one. Hopefully this patch can eventually become part of an official kernel.

 
 
1
 
vote

El parche ( parchwork.kernel.org/patch/9337413 ) se incluye en Newer Kernels. El problema esta resuelto ;-) (Más información: Problema -MiS- Un firmware de buggy -Bix-Método falla)

batería detectada nuevamente con kernel 4.10.rc5

Probado en: Lenovo IdeAPAD 300S-11BR (con MANJARO LINUX, KERNEL: 4.10.0-1-MANJARO)

 

The patch (patchwork.kernel.org/patch/9337413) is included in newer kernels. The problem is solved ;-) (more Info: Problem -was- a buggy firmware -BIX-method fails)

Battery detected again with kernel 4.10.rc5

Tested on: Lenovo Ideapad 300s-11IBR (with Manjaro Linux, Kernel: 4.10.0-1-MANJARO)

 
 

Relacionados problema

9  ¿Necesito tomar medidas en un servidor de 10.04 LTS para evitar la vulnerabilidad hiedra?  ( Do i need to take action on a 10 04 lts server to avoid the heartbleed vulnerabi ) 
Desde el sitio web de HeartBleed.com, veo que OpenSSL 0.9.8 no es vulnerable, que es la versión que está disponible en 10.04. Eso debería significar que realm...

0  Drivers AMDGPU y Ubuntu 16.04.04 LTS  ( Amdgpu drivers and ubuntu 16 04 04 lts ) 
Así que he intentado instalar AMDGPU y al sitio en una nueva instalación de Ubuntu 16.04.04 LTS para obtener mi Rx Vega 64 que trabaja y no funciona como se e...

4  Versiones de software de LTS y lanzamientos no LTS sincronizados de Debian  ( Software versions of lts and non lts releases synced from debian ) 
Leí que los lanzamientos de LTS se basan en las pruebas de Debian, mientras que las liberaciones no LTS se basan en Debian inestable. Dado el ciclo de liberac...

2  Al despertar esta computadora, aparecieron personajes de la cara de Blue Wierd  ( When waking up this computer blue wierd face characters appeared ) 
Estoy ejecutando Ubuntu 18.04.3 LTS (GNU / Linux 4.15.0-62-genérico i686) y cada vez que se cierra la tapa de la computadora, se va a dormir y luego se despie...

15  Ruta sana a las actualizaciones de distribución  ( Sane path to distribution upgrades ) 
Estoy usando Hardy (servidor) en bastantes máquinas y me gustaría actualizar a los últimos LTS. ¿Es seguro editar mi archivo ubuntu-security-status7 para ap...

0  Ubuntu 18.04.4 LTS lento en AMD 4300 8GB RAM  ( Ubuntu 18 04 4 lts slow on amd 4300 8gb ram ) 
He instalado la versión Ubuntu 18.04.4 LTS en una PC de escritorio con procesador AMD 4300 Quad Core, 8GB RAM y HDD HDD de 160 GB. lleva más de dos minutos ...

0  LDAP y clientes delgados  ( Ldap and thin clients ) 
Actualmente tengo una configuración de Sun / Oracle Enterprise Directory Server. Quiero, si es posible, autenticar mis finos clientes LTS para evitar la carga...

2  Crear accesos directos de escritorio para transmisiones de medios  ( Create desktop shortcuts for media streams ) 
DESAFÍO: Creación de 7 accesos directos diferentes para flujos de audio como este: http://live-icy.gss.dr.dk /A/a03h.mp3.m3u Unos años atrás cuando busq...

2  Instale paquetes de la pila de habilitación de hardware LTS para Ubuntu 14.04.3 tiene dependencias no satisfechas  ( Install packages from lts hardware enablement stack for ubuntu 14 04 3 has unmet ) 
Pude instalar el nuevo kernel, 3.19, sin embargo, cuando intento obtener los nuevos paquetes para la pila de habilitación de hardware e intente este comando ...

0  No puedo obtener nuevas actualizaciones [duplicar]  ( I cannot get new updates ) 
Esta pregunta ya tiene respuestas aquí : ¿Cómo lo hacen? Arreglo un error "Problema con Mergelist" o...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos